Package fr.gouv.vitam.worker.core.plugin.elimination.model

# Enum Class EliminationActionUnitStatus

java.lang.Object
java.lang.Enum<EliminationActionUnitStatus>
fr.gouv.vitam.worker.core.plugin.elimination.model.EliminationActionUnitStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<EliminationActionUnitStatus>`, `Constable`

public enum EliminationActionUnitStatus extends Enum<EliminationActionUnitStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GLOBAL_STATUS_CONFLICT`
  `GLOBAL_STATUS_KEEP`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EliminationActionUnitStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EliminationActionUnitStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GLOBAL_STATUS_KEEP

    public static final EliminationActionUnitStatus GLOBAL_STATUS_KEEP

  - ### GLOBAL_STATUS_CONFLICT

    public static final EliminationActionUnitStatus GLOBAL_STATUS_CONFLICT

- ## Method Details

  - ### values

    public static EliminationActionUnitStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EliminationActionUnitStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null